<template>
  <IonVuePage :title="'Bucket ' + this.$route.params.id">
    <ion-list>
      <ion-item v-for="(link, i) in items" :key="i">
        <p>{{ link.name }}</p>
        <div slot="end">
          <ion-button @click="decrement(i)">-</ion-button>
          <span class="number"> {{link.count }}</span>
          <ion-button @click="increment(i)">+</ion-button>
        </div>
      </ion-item>
    </ion-list>
  </IonVuePage>
</template>

<script>
export default {
  data() {
    return {
      items: [
        {
          name: 'Apfel',
          count: 0,
          id: 1,
        },
        {
          name: 'Birne',
          count: 0,
          id: 2,
        },
        {
          name: 'Kiwi',
          count: 4,
          id: 3,
        },
      ],
    }
  },
  methods: {
    decrement(i) {
      if (this.items[i].count > 0) this.items[i].count--
    },
    increment(i) {
      this.items[i].count++
    }
  }
}
</script>

<style>
  .number {
    display: inline-block;
    text-align: center;
    width: 20px;
    height: 11px;
    vertical-align: middle;
  }
</style>
